Bug 1784404 - Switchboard Mouse and Touchpad plug crashes on startup
Summary: Switchboard Mouse and Touchpad plug crashes on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: switchboard-plug-mouse-touchpad
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-17 11:24 UTC by marlock9
Modified: 2020-02-02 01:34 UTC (History)
3 users (show)

Fixed In Version: switchboard-plug-mouse-touchpad-2.4.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-02 01:34:22 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github elementary switchboard-plug-mouse-touchpad issues 122 0 None closed plug crashes with gnome-settings-daemon 3.34 (removed GSettings key) 2020-07-02 15:37:33 UTC

Description marlock9 2019-12-17 11:24:51 UTC
Description of problem:
I have a crash when trying to get into switchboard-plug-mouse-touchpad

Version-Release number of selected component (if applicable):
2.3.1

How reproducible:
always

Steps to Reproduce:
1. Open io.elementary.switchboard
2. Open "Mouse & Touchpad"

Actual results:
crash and following error in terminal:
(io.elementary.switchboard:7969): GLib-GIO-ERROR **: 13:45:12.561: Settings schema 'org.gnome.settings-daemon.peripherals.mouse' does not contain a key named 'locate-pointer'

Expected results:
Working

Additional info:
Dec 17 14:22:16 fedora-desktop io.elementary.s[11623]: Settings schema 'org.gnome.settings-daemon.peripherals.mouse' does not contain a key named 'locate-pointer'
Dec 17 14:22:16 fedora-desktop kernel: traps: io.elementary.s[11623] trap int3 ip:7f4b967d66e5 sp:7fff43a8e5e0 error:0 in libglib-2.0.so.0.6200.3[7f4b9679b000+83000]
Dec 17 14:22:16 fedora-desktop audit[11623]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=11623 comm="io.elementary.s" exe="/usr/bin/io.elementary.switchboard" sig=5 res=1
Dec 17 14:22:16 fedora-desktop systemd[1]: Started Process Core Dump (PID 11733/UID 0).
Dec 17 14:22:16 fedora-desktop audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@1-11733-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 17 14:22:17 fedora-desktop systemd-coredump[11734]: Process 11623 (io.elementary.s) of user 1000 dumped core.
                                                        
                                                        Stack trace of thread 11623:
                                                        #0  0x00007f4b967d66e5 _g_log_abort (libglib-2.0.so.0)
                                                        #1  0x00007f4b967d7769 g_log_default_handler (libglib-2.0.so.0)
                                                        #2  0x00007f4b967d799b g_logv (libglib-2.0.so.0)
                                                        #3  0x00007f4b967d7b83 g_log (libglib-2.0.so.0)
                                                        #4  0x00007f4b96698c8e g_settings_schema_get_value (libgio-2.0.so.0)
                                                        #5  0x00007f4b96699320 g_settings_schema_key_init (libgio-2.0.so.0)
                                                        #6  0x00007f4b9669f053 g_settings_bind_with_mapping (libgio-2.0.so.0)
                                                        #7  0x00007f4b9669f57e g_settings_bind (libgio-2.0.so.0)
                                                        #8  0x00007f4b640e3bf2 mouse_touchpad_pointing_view_constructor (libmouse-touchpad.so)
                                                        #9  0x00007f4b9656021c g_object_new_internal (libgobject-2.0.so.0)
                                                        #10 0x00007f4b96562338 g_object_new_valist (libgobject-2.0.so.0)
                                                        #11 0x00007f4b9656268d g_object_new (libgobject-2.0.so.0)
                                                        #12 0x00007f4b640e156c mouse_touchpad_plug_real_get_widget (libmouse-touchpad.so)
                                                        #13 0x0000559ecc267249 ___lambda8__gsource_func (io.elementary.switchboard)
                                                        #14 0x00007f4b967ccdcb g_idle_dispatch (libglib-2.0.so.0)
                                                        #15 0x00007f4b967d04a0 g_main_context_dispatch (libglib-2.0.so.0)
                                                        #16 0x00007f4b967d0830 g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                        #17 0x00007f4b967d0b23 g_main_loop_run (libglib-2.0.so.0)
                                                        #18 0x00007f4b95fb13bd gtk_main (libgtk-3.so.0)
                                                        #19 0x0000559ecc269696 switchboard_switchboard_app_real_activate (io.elementary.switchboard)
                                                        #20 0x00007f4b9655a996 _g_closure_invoke_va (libgobject-2.0.so.0)
                                                        #21 0x00007f4b96577228 g_signal_emit_valist (libgobject-2.0.so.0)
                                                        #22 0x00007f4b965779d3 g_signal_emit (libgobject-2.0.so.0)
                                                        #23 0x00007f4b96683ae8 g_application_real_local_command_line (libgio-2.0.so.0)
                                                        #24 0x00007f4b96683ca2 g_application_run (libgio-2.0.so.0)
                                                        #25 0x0000559ecc269a29 switchboard_main (io.elementary.switchboard)
                                                        #26 0x00007f4b95b181a3 __libc_start_main (libc.so.6)
                                                        #27 0x0000559ecc266e5e _start (io.elementary.switchboard)
                                                        
                                                        Stack trace of thread 11625:
                                                        #0  0x00007f4b95be7a6f __poll (libc.so.6)
                                                        #1  0x00007f4b967d079e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                        #2  0x00007f4b967d08d3 g_main_context_iteration (libglib-2.0.so.0)
                                                        #3  0x00007f4b967d0921 glib_worker_main (libglib-2.0.so.0)
                                                        #4  0x00007f4b967f9f52 g_thread_proxy (libglib-2.0.so.0)
                                                        #5  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #6  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11626:
                                                        #0  0x00007f4b95be7a6f __poll (libc.so.6)
                                                        #1  0x00007f4b967d079e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                        #2  0x00007f4b967d0b23 g_main_loop_run (libglib-2.0.so.0)
                                                        #3  0x00007f4b966bf94a gdbus_shared_thread_func (libgio-2.0.so.0)
                                                        #4  0x00007f4b967f9f52 g_thread_proxy (libglib-2.0.so.0)
                                                        #5  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #6  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11632:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11627:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11630:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11631:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11635:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11641:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11636:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11637:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11628:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11633:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11639:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11638:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11640:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11629:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11643:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11644:
                                                        #0  0x00007f4b95be7a6f __poll (libc.so.6)
                                                        #1  0x00007f4b967d079e g_main_context_iterate.isra.0 (libglib-2.0.so.0)
                                                        #2  0x00007f4b967d08d3 g_main_context_iteration (libglib-2.0.so.0)
                                                        #3  0x00007f4b44a3393d dconf_gdbus_worker_thread (libdconfsettings.so)
                                                        #4  0x00007f4b967f9f52 g_thread_proxy (libglib-2.0.so.0)
                                                        #5  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #6  0x00007f4b95bf2693 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 11634:
                                                        #0  0x00007f4b95a64d45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f4b9225f0eb util_queue_thread_func (radeonsi_dri.so)
                                                        #2  0x00007f4b9225ecfb impl_thrd_routine (radeonsi_dri.so)
                                                        #3  0x00007f4b95a5e4e2 start_thread (libpthread.so.0)
                                                        #4  0x00007f4b95bf2693 __clone (libc.so.6)
Dec 17 14:22:17 fedora-desktop systemd[1]: systemd-coredump@1-11733-0.service: Succeeded.
Dec 17 14:22:17 fedora-desktop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@1-11733-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 17 14:22:18 fedora-desktop abrt-server[11747]: Deleting problem directory ccpp-2019-12-17-14:22:17.494456-11623 (dup of ccpp-2019-12-17-13:45:13.494536-7969)
Dec 17 14:22:18 fedora-desktop systemd[1]: Started dbus-:1.7-org.freedesktop.problems@1.service.
Dec 17 14:22:18 fedora-desktop audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dbus-:1.7-org.freedesktop.problems@1 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 17 14:22:18 fedora-desktop abrt-notification[11785]: Process 7969 (io.elementary.switchboard) crashed in g_settings_schema_get_value()

Comment 1 Fabio Valentini 2019-12-18 19:01:36 UTC
Can confirm this issue.

Looks like gnome-settings-daemon 3.34 broke things again by removing that GSettings key.

I'll report it upstream.

Comment 2 Christopher Crouse 2020-01-01 14:54:57 UTC
@Fabio Valentini, would a temporary workaround be to build a compatible gnome-settings-daemon 3.32, similar to mutter328 for the time being, however I am not sure what other packages in the Pantheon DE uses gnome-settings-daemon except for Gala?

Comment 3 Fabio Valentini 2020-01-01 15:45:20 UTC
No, that won't work.

The situation with mutter is better since it's only used as a library, and it's parallel-instalable with the newer lobrary versions.

gnome-settings-daemon provides binaries that conflict between versions.

It looks like I need to patch out the functionality that is broken right now, but I don't really have the time to do that.

Comment 4 Fedora Update System 2020-01-22 22:01:50 UTC
FEDORA-2020-d46fce0936 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d46fce0936

Comment 5 Fedora Update System 2020-01-25 08:18:08 UTC
switchboard-plug-mouse-touchpad-2.4.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d46fce0936

Comment 6 Fedora Update System 2020-02-02 01:34:22 UTC
switchboard-plug-mouse-touchpad-2.4.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.